Skip to main content
GET
/
api
/
test-cases
/
v2
/
{id}
Get Test Case
curl --request GET \
  --url https://api.example.com/api/test-cases/v2/{id} \
  --header 'Authorization: <authorization>'
{
  "data": {
    "test_case": {
      "id": "a30a6eba6312f6b87ea5-55e241fbe3f4b8ae61ee",
      "name": "search works",
      "file_path": "search.spec.ts",
      "suites": ["Search"],
      "playwright_project": "chromium",
      "tags": ["smoke"],
      "created_at": "2026-01-15T10:30:00Z",
      "updated_at": "2026-03-20T14:00:00Z",
      "first_seen_commit_sha": "abc1234",
      "last_seen_commit_sha": "def5678"
    }
  }
}
Returns a single test case by its Playwright test ID (pw_test_id).

Request

Authorization
string
required
Bearer token for authentication. Format: Bearer <your-api-key>
id
string
required
The Playwright test ID (pw_test_id) — a 41-character hash that uniquely identifies a test case per Playwright project.

Response

data.test_case
object
The test case object.
{
  "data": {
    "test_case": {
      "id": "a30a6eba6312f6b87ea5-55e241fbe3f4b8ae61ee",
      "name": "search works",
      "file_path": "search.spec.ts",
      "suites": ["Search"],
      "playwright_project": "chromium",
      "tags": ["smoke"],
      "created_at": "2026-01-15T10:30:00Z",
      "updated_at": "2026-03-20T14:00:00Z",
      "first_seen_commit_sha": "abc1234",
      "last_seen_commit_sha": "def5678"
    }
  }
}

Example

curl -X GET \
  https://dash.empirical.run/api/test-cases/v2/a30a6eba6312f6b87ea5-55e241fbe3f4b8ae61ee \
  -H "Authorization: Bearer $EMPIRICALRUN_KEY"